This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 869074 - RFE: Support building Python 3 libraries with Cython
RFE: Support building Python 3 libraries with Cython
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Cython (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Neal Becker
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 19:30 EDT by Andy Grover
Modified: 2012-11-16 02:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-16 02:40:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Grover 2012-10-22 19:30:08 EDT
I have a pkg newly converted to build using Cython called python-kmod. I'm trying to add a python3-kmod subpackage but am hitting this error when calling "python3 setup.py build":

Traceback (most recent call last):
  File "setup.py", line 23, in <module>
    from Cython.Distutils import build_ext as _build_ext
ImportError: No module named 'Cython'

I think we need a python3 Cython subpackage that contains Cython libs for Python 3.

(Or if we don't need this and I'm making a rookie Cython/py3 mistake, please let me know ;-)
Comment 1 Fedora Update System 2012-10-28 13:51:21 EDT
Cython-0.17.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/Cython-0.17.1-2.fc17
Comment 2 Fedora Update System 2012-10-29 23:43:46 EDT
Package Cython-0.17.1-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing Cython-0.17.1-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17176/Cython-0.17.1-2.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-11-16 02:40:17 EST
Cython-0.17.1-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.